curl --request POST \
--url https://live.copilot.fabric.inc/api-category/v1/category/attribute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"attributes": [
{
"attributeId": "609ac75051f11a0007cf38b3",
"value": true
}
],
"id": "6196b45b5cb04b7ce167cb46",
"nodeId": 25
}
'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/attribute"
payload = {
"attributes": [
{
"attributeId": "609ac75051f11a0007cf38b3",
"value": True
}
],
"id": "6196b45b5cb04b7ce167cb46",
"nodeId": 25
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
attributes: [{attributeId: '609ac75051f11a0007cf38b3', value: true}],
id: '6196b45b5cb04b7ce167cb46',
nodeId: 25
})
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/attribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6196b45b5cb04b7ce167cb46",
"nodeId": 25,
"name": "notes",
"attributes": [
{
"id": "61ba11481a29d52cb284252f",
"name": "active",
"type": "BOOLEAN",
"value": true
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Assign and unassign category attributes
Category attributes let you define characteristics of categories and children categories.
This endpoint assigns or unassigns attributes of a single category. The primary purpose is to assign attributes.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Details of category attributes
Show child attributes
Show child attributes
A 24-character system-generated category ID. nodeId and id are the two identifier of a category, and one of them must be specified.
"6196b45b5cb04b7ce167cb46"
Numeric category ID. nodeId and id are the two identifier of a category, and one of them must be specified.
25
Was this page helpful?
